.ifnot HLP
.CHAPTER RSX/IAS OPERATING PROCEDURES
.index Operation 
.hl 1 initiating runoff 
.endif hlp
.if hlp;.i-1;2 OPERATION
.br
.endif hlp
RUNOFF can be initiated in several ways. The general formats 
for RSX-11 users are: 
.nofill 
.skip 
.indent +16 
General and Privileged Users 
.indent +24 
MCR>RNO <CR> 
.INDENT +24 
MCR>RNO filespec 
.s 
.indent +16 
Privileged User Only 
.indent +24 
MCR>RUN ...RNO/UIC=[uic] 
.indent +24 
MCR>RUN $RNO/UIC=[uic] 
.fill 
.if not hlp
.hl 1 rno command string 
.index Command string 
.endif hlp
.if hlp
.i-1;3 Command__String
.br
.endif hlp
System programs usually require a command 
string to specify such things as input files and various 
options.  A standard command string has one of the following 
forms: 
.skip 
.nofill 
.indent +16 
output-file,toc-file=input-file 
.skip 
.indent +24 
or 
.skip 
.indent +16 
@command-file 
.skip 
.fill 
The output-file, toc-file, and input-file are strings comprising a 
file specification. 
The toc-file may be omitted if no table of contents is desired.
.skip 
The second form of command string (@command-file) is used to 
specify an indirect command file.  In this case each record of the 
file is used as a command string before any commands following the 
indirect command are accepted. 
.skip 
The command string syntax is described more completely in the 
User's Guide for the relevant operating system. 
.ifnot hlp
.hl 2 file specifications 
.index File Specifications 
.endif hlp
.if hlp
.i-1;3 File__Specification
.br
.endif hlp
An RSX-11 file specification has the following form: 
.nofill 
.skip 
.indent +16 
Dev:[UIC]Filename.Typ;Ver 
.skip 
.fill 
In this specification Dev must be a legal device code. The default 
value is SY:, the system disk. UIC must be a valid User 
Identification Code. Filename is any 1- to 9-character 
alphanumeric string which specifies a file name. Typ is 
a 1- to 3-character alphanumeric file type.  System programs 
default to an appropriate standard type so the typical user will 
not have to explicitly specify it.  Finally, Ver is a number 
which is the version number of the file.  This field also normally 
can be omitted since it defaults on input to the 
highest existing version number for the file and on output 
to the highest existing version number plus one. 
.skip 
Default file specifications (any part of which may be overridden): 
.skip 
.nofill 
.indent +16 
Input:   SY:RUNOFF.RNO 
.skip 
.indent +16 
Output:  SY:RUNOFF.DOC 
.skip .i16;Table of contents:  SY:RUNOFF.RNT
.fill 
.note Editing RUNOFF Output 
RUNOFF output files may not be edited normally with the standard 
RSX/IAS file editors. 
This version may produce editable output by using the /-CR switch, 
when the text is processed.  If You do this /UL:L will not work  
but the output may easily be edited. 
If this switch is used the ouput text/line must not exceed 256 characters,
the output buffer size.  If you need to use this feature with more than
256 characters/line see BUILDING RNO on how to change the output buffer
size.
.EN 
